package com.pcloud.book.guide.biz;

import com.pcloud.book.guide.vo.RobotWakeUpConfigVO;
import com.pcloud.book.guide.vo.RobotWakeUpShowVO;
import com.pcloud.book.pcloudkeyword.facade.response.PcloudRobotClassifyResponseVO;
import com.pcloud.common.page.PageBeanNew;

import java.util.List;

public interface PcloudRobotWakeUpBiz {


    void robotWakeUpConfig(RobotWakeUpConfigVO robotWakeUpConfigVO);

    void robotWakeUpRemove();

    RobotWakeUpShowVO getRobotWakeUpConfig(Integer wakeUpId);

    void doJob(Integer wakeUpId);

    List<PcloudRobotClassifyResponseVO> listAllClassify();

    void copyRobotWakeUp(String sourceWxId, String targetWxId);

    void addrobotWakeUpConfig(RobotWakeUpConfigVO robotWakeUpConfigVO);

    PageBeanNew<RobotWakeUpShowVO> getRobotWakeUpConfigList(Integer currentPage, Integer numPerPage);

    void deleterobotWakeUp(Integer wakeUpid);

    void updaterobotWakeUp(RobotWakeUpConfigVO robotWakeUpConfigVO);
}
